# $Revision: 1.21 $, $Date: 2006/03/29 22:29:44 $
%include	/usr/lib/rpm/macros.php
%define		_class		DB
%define		_subclass	Pager
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - retrieve and return information of database result sets
Summary(pl):	%{_pearname} - pobieranie i zwracanie informacji o zestawacanie rezultatw z baz danych
Name:		php-pear-%{_pearname}
Version:	0.7
Release:	6
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	ec4213fe39bdfab951b14433a6ae60c0
URL:		http://pear.php.net/package/DB_Pager/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class handles all the stuff needed for displaying paginated
results from a database query of PEAR DB, including fetching only the
needed rows and giving extensive information for helping build an HTML
or GTK+ query result display.

In PEAR status of this package is: %{_status}.

%description -l pl
Ta klasa obsuguje wszystko co potrzebne do wywietlania
stronicowanych wynikw z zapytania do bazy PEAR DB, wcznie ze
ciganiem tylko potrzebnych wierszy i dawaniem szczegowych
informacji pomocnych przy wywietlaniu wynikw zapytania w HTML-u lub
GTK+.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-DB_Pager.spec,v $
Revision 1.21  2006/03/29 22:29:44  glen
- rel 6 (rebuild with less deps)

Revision 1.20  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.19  2005/10/05 20:11:24  glen
- rel 5

Revision 1.18  2005/09/19 21:43:39  glen
- integer BR

Revision 1.17  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.16  2004/12/03 22:03:33  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.15  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.14  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.13  2004/03/15 14:48:56  ankry
- cosmetics

Revision 1.12  2004/03/15 14:01:18  adamg
- stupid typo

Revision 1.11  2004/03/15 11:33:00  adamg
- added missing status information (it is stable)
- cosmetics

Revision 1.10  2003/10/07 20:54:30  adamg
- do not use macros in URL

Revision 1.9  2003/09/25 12:18:07  adamg
- s/Pear/PEAR/ in description

Revision 1.8  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.7  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.6  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/10/14 23:39:25  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.4  2002/09/07 05:59:29  blues
- fix in macros

Revision 1.3  2002/07/23 15:54:27  kloczek
- release 2.

Revision 1.2  2002/07/23 14:00:09  qboosh
- pl description

Revision 1.1  2002/07/17 12:44:05  blues
- initial release
